package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * External Radius Portal setting, required when [authType] is 2.
 */
@ApiModel(description = "External Radius Portal setting, required when [authType] is 2.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ExternalRadiusSettingResOpenApiVo   {
  @JsonProperty("radiusProfileId")
  private String radiusProfileId;

  @JsonProperty("authMode")
  private Integer authMode;

  @JsonProperty("nasId")
  private String nasId;

  @JsonProperty("portalCustom")
  private Integer portalCustom;

  @JsonProperty("externalUrlScheme")
  private String externalUrlScheme;

  @JsonProperty("externalUrl")
  private String externalUrl;

  @JsonProperty("disconnectReq")
  private Boolean disconnectReq;

  @JsonProperty("receiverPort")
  private Integer receiverPort;

  @JsonProperty("receiverPortStatus")
  private Integer receiverPortStatus;

  public ExternalRadiusSettingResOpenApiVo radiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
    return this;
  }

  /**
   * This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface
   * @return radiusProfileId
  */
  @ApiModelProperty(value = "This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface")


  public String getRadiusProfileId() {
    return radiusProfileId;
  }

  public void setRadiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
  }

  public ExternalRadiusSettingResOpenApiVo authMode(Integer authMode) {
    this.authMode = authMode;
    return this;
  }

  /**
   * RADIUS auth mode, should be a value as follows: 1: PAP; 2: CHAP
   * @return authMode
  */
  @ApiModelProperty(value = "RADIUS auth mode, should be a value as follows: 1: PAP; 2: CHAP")


  public Integer getAuthMode() {
    return authMode;
  }

  public void setAuthMode(Integer authMode) {
    this.authMode = authMode;
  }

  public ExternalRadiusSettingResOpenApiVo nasId(String nasId) {
    this.nasId = nasId;
    return this;
  }

  /**
   * RADIUS Attribute: NasID, should contain 1 to 64 characters.
   * @return nasId
  */
  @ApiModelProperty(value = "RADIUS Attribute: NasID, should contain 1 to 64 characters.")


  public String getNasId() {
    return nasId;
  }

  public void setNasId(String nasId) {
    this.nasId = nasId;
  }

  public ExternalRadiusSettingResOpenApiVo portalCustom(Integer portalCustom) {
    this.portalCustom = portalCustom;
    return this;
  }

  /**
   * Portal customization, should be a value as follows: 1: Local Web Portal; 2: External Web Portal.
   * @return portalCustom
  */
  @ApiModelProperty(value = "Portal customization, should be a value as follows: 1: Local Web Portal; 2: External Web Portal.")


  public Integer getPortalCustom() {
    return portalCustom;
  }

  public void setPortalCustom(Integer portalCustom) {
    this.portalCustom = portalCustom;
  }

  public ExternalRadiusSettingResOpenApiVo externalUrlScheme(String externalUrlScheme) {
    this.externalUrlScheme = externalUrlScheme;
    return this;
  }

  /**
   * External URL scheme, required when [portalCustom] is 2, value could be 'http' or 'https'.
   * @return externalUrlScheme
  */
  @ApiModelProperty(value = "External URL scheme, required when [portalCustom] is 2, value could be 'http' or 'https'.")


  public String getExternalUrlScheme() {
    return externalUrlScheme;
  }

  public void setExternalUrlScheme(String externalUrlScheme) {
    this.externalUrlScheme = externalUrlScheme;
  }

  public ExternalRadiusSettingResOpenApiVo externalUrl(String externalUrl) {
    this.externalUrl = externalUrl;
    return this;
  }

  /**
   * External URL, required when [portalCustom] is 2
   * @return externalUrl
  */
  @ApiModelProperty(value = "External URL, required when [portalCustom] is 2")


  public String getExternalUrl() {
    return externalUrl;
  }

  public void setExternalUrl(String externalUrl) {
    this.externalUrl = externalUrl;
  }

  public ExternalRadiusSettingResOpenApiVo disconnectReq(Boolean disconnectReq) {
    this.disconnectReq = disconnectReq;
    return this;
  }

  /**
   * Whether to support disconnect messages. Only for Omada Local Controller
   * @return disconnectReq
  */
  @ApiModelProperty(value = "Whether to support disconnect messages. Only for Omada Local Controller")


  public Boolean getDisconnectReq() {
    return disconnectReq;
  }

  public void setDisconnectReq(Boolean disconnectReq) {
    this.disconnectReq = disconnectReq;
  }

  public ExternalRadiusSettingResOpenApiVo receiverPort(Integer receiverPort) {
    this.receiverPort = receiverPort;
    return this;
  }

  /**
   * Port for listening to disconnect messages, should be within the range of 1–65535.Only for Omada Local Controller
   * @return receiverPort
  */
  @ApiModelProperty(value = "Port for listening to disconnect messages, should be within the range of 1–65535.Only for Omada Local Controller")


  public Integer getReceiverPort() {
    return receiverPort;
  }

  public void setReceiverPort(Integer receiverPort) {
    this.receiverPort = receiverPort;
  }

  public ExternalRadiusSettingResOpenApiVo receiverPortStatus(Integer receiverPortStatus) {
    this.receiverPortStatus = receiverPortStatus;
    return this;
  }

  /**
   * Port binding status, should be a value as follow: 1: Disconnect Requests port status running, 2: Disconnect Requests port status disable. Only for Omada Local Controller
   * @return receiverPortStatus
  */
  @ApiModelProperty(value = "Port binding status, should be a value as follow: 1: Disconnect Requests port status running, 2: Disconnect Requests port status disable. Only for Omada Local Controller")


  public Integer getReceiverPortStatus() {
    return receiverPortStatus;
  }

  public void setReceiverPortStatus(Integer receiverPortStatus) {
    this.receiverPortStatus = receiverPortStatus;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ExternalRadiusSettingResOpenApiVo externalRadiusSettingResOpenApiVo = (ExternalRadiusSettingResOpenApiVo) o;
    return Objects.equals(this.radiusProfileId, externalRadiusSettingResOpenApiVo.radiusProfileId) &&
        Objects.equals(this.authMode, externalRadiusSettingResOpenApiVo.authMode) &&
        Objects.equals(this.nasId, externalRadiusSettingResOpenApiVo.nasId) &&
        Objects.equals(this.portalCustom, externalRadiusSettingResOpenApiVo.portalCustom) &&
        Objects.equals(this.externalUrlScheme, externalRadiusSettingResOpenApiVo.externalUrlScheme) &&
        Objects.equals(this.externalUrl, externalRadiusSettingResOpenApiVo.externalUrl) &&
        Objects.equals(this.disconnectReq, externalRadiusSettingResOpenApiVo.disconnectReq) &&
        Objects.equals(this.receiverPort, externalRadiusSettingResOpenApiVo.receiverPort) &&
        Objects.equals(this.receiverPortStatus, externalRadiusSettingResOpenApiVo.receiverPortStatus);
  }

  @Override
  public int hashCode() {
    return Objects.hash(radiusProfileId, authMode, nasId, portalCustom, externalUrlScheme, externalUrl, disconnectReq, receiverPort, receiverPortStatus);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ExternalRadiusSettingResOpenApiVo {\n");
    
    sb.append("    radiusProfileId: ").append(toIndentedString(radiusProfileId)).append("\n");
    sb.append("    authMode: ").append(toIndentedString(authMode)).append("\n");
    sb.append("    nasId: ").append(toIndentedString(nasId)).append("\n");
    sb.append("    portalCustom: ").append(toIndentedString(portalCustom)).append("\n");
    sb.append("    externalUrlScheme: ").append(toIndentedString(externalUrlScheme)).append("\n");
    sb.append("    externalUrl: ").append(toIndentedString(externalUrl)).append("\n");
    sb.append("    disconnectReq: ").append(toIndentedString(disconnectReq)).append("\n");
    sb.append("    receiverPort: ").append(toIndentedString(receiverPort)).append("\n");
    sb.append("    receiverPortStatus: ").append(toIndentedString(receiverPortStatus)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

